<div class="container-fluid">
<form [formGroup]="organizationForm"
	name="organizationForm" id="organizationForm"
	role="form" novalidate>
	<div class="card head">
		<div class="card-header heading ">Part 1. {{isMerchantSp}} and
			Qualified Security Assessor Information</div>
		<div class="card sub-card">
			<div class="card-header heading">Part
				1a. {{isMerchantSp}} Organization Information</div>
			<div class="card-block ">
				<div class="form-group row">
					<label class="col-md-2 control-label heading"
						for="field_companyName"
						jhiTranslate="pcidssApp.organization.companyName">Company
						Name</label>
					<div class="col-md-4">
						<input type="text" id="companyName" name="companyName"
							class="form-control" formControlName="companyName">
						<jhi-display-org-error
							[control]="organizationForm.controls.companyName">
						</jhi-display-org-error>
					</div>
					<label for="field_dba" class="col-md-2 control-label heading"
						jhiTranslate="pcidssApp.organization.dba">DBA</label>
					<div class="col-md-4">
						<input type="text" class="form-control" id="dba" name="dba"
							formControlName="dba">
						<jhi-display-org-error
							[control]="organizationForm.controls.dba">
						</jhi-display-org-error>
					</div>
				</div>
				<div class="form-group row">
					<label class="col-md-2 control-label heading"
						for="field_contactName"
						jhiTranslate="pcidssApp.organization.contactName">Contact
						Name</label>
					<div class="col-md-4">
						<input type="text" id="contactName" name="contactName"
							class="form-control" formControlName="contactName">
						<jhi-display-org-error
							[control]="organizationForm.controls.contactName">
						</jhi-display-org-error>
						</div>
						<label for="field_title" class="col-md-2 control-label heading"
							jhiTranslate="pcidssApp.organization.title">Title</label>
						<div class="col-md-4">
							<input type="text" class="form-control" id="title" name="title"
								formControlName="title">
							<jhi-display-org-error
								[control]="organizationForm.controls.title"></jhi-display-org-error>
						</div>
					</div>
					<div class="form-group row">
						<label for="field_email" class="col-md-2 control-label heading"
							jhiTranslate="pcidssApp.organization.email">Title</label>
						<div class="col-md-4">
							<input type="text" class="form-control" id="email" name="email"
								formControlName="email">
							<jhi-display-org-error
								[control]="organizationForm.controls.email">
							</jhi-display-org-error>
						</div>
						<label class="col-md-2 control-label heading"
							for="field_telephone"
							jhiTranslate="pcidssApp.organization.telephone">Telephone
							Name</label>
						<div class="col-md-4">
						<input type="text" class="form-control" ng2TelInput
							[ng2TelInputOptions]="{initialCountry: organizationForm.value.address.country}"
							(intlTelInputObject)="telInputObject($event)" (countryChange)="onSelectCountry($event)"
							 formControlName="telephone" />
							 <jhi-display-org-error
								[control]="organizationForm.controls.telephone">
							</jhi-display-org-error>
					</div>
					</div>
					<div class="form-group row">
							<label class="col-sm-2 control-label heading" for="field_url"
								jhiTranslate="pcidssApp.organization.url">Company URL </label>
							<div class="col-md-4">
								<input type="text" id="url" name="url" class="form-control"
									formControlName="url">
								<jhi-display-org-error
									[control]="organizationForm.controls.url">
								</jhi-display-org-error>
							</div>
						</div>
				</div>
			</div>
			<div class="card sub-card">
				<div class="card-header heading "
					jhiTranslate="pcidssApp.organization.create.address">Business
					Address</div>
				<div class="card-block">
					<form formGroupName="address">
						<div class="form-group row ">
							<label class="col-md-2 control-label heading" for="field_street1"
								jhiTranslate="pcidssApp.address.street1">Street1 </label>
							<div class="col-md-4">
								<input type="text" id="street1" name="street1"
									class="form-control" formControlName="street1">
								<jhi-display-org-error
									[control]="organizationForm.controls.address.controls.street1">
								</jhi-display-org-error>
							</div>
							<label class="col-md-2 control-label heading" for="field_street2"
								jhiTranslate="pcidssApp.address.street2">Street2 </label>
							<div class="col-md-4">
								<input type="text" class="form-control" id="street2"
									name="street2" formControlName="street2">
							</div>
						</div>
						<div class="form-group row">
							<label class="col-md-2 control-label heading" for="field_city"
								jhiTranslate="pcidssApp.address.city">City </label>
							<div class="col-md-4">
								<input type="text" id="city" name="city" class="form-control"
									formControlName="city">
								<jhi-display-org-error
									[control]="organizationForm.controls.address.controls.city">
								</jhi-display-org-error>
							</div>
							<label for="field_state" class="col-sm-2 control-label heading"
								*ngIf="isStateOrProvince && isUSOrCanada"
								jhiTranslate="pcidssApp.address.state">State</label> <label
								for="field_state" class="col-sm-2 control-label heading"
								*ngIf="isStateOrProvince && !isUSOrCanada"
								jhiTranslate="pcidssApp.address.province">Province</label>
							<div class="col-md-4" *ngIf="isStateOrProvince">
								<select class="custom-select"
									id="state" name="state" formControlName="state">
									<option value="null">--Select--</option>
									<option *ngFor="let state of statesBasedOnCountry" [ngValue]="state.shortName">{{state.shortName}}
									</option>
								</select>
								<jhi-display-org-error
									[control]="organizationForm.controls.address.controls.state">
								</jhi-display-org-error>
							</div>
								<label *ngIf="!isStateOrProvince" class="col-md-2 control-label heading"
									jhiTranslate="pcidssApp.address.other" for="field_province">State/Province</label>
								<div class="col-md-4">
								<input type="text" *ngIf="!isStateOrProvince"
									class="form-control" id="province" name="province"
									formControlName="province">
									</div>
							</div>
						<div class="form-group row">
							<label for="field_country" class="col-sm-2 control-label heading"
								jhiTranslate="pcidssApp.address.country">Country</label>
							<div class="col-md-4">
								<select class="custom-select" id="country" name="country"
									formControlName="country" (change)="onCountryChanges()">
									<option *ngFor="let country of countries"
										[value]="country.countryCode">{{country.countryName}}
								</select>
								<jhi-display-org-error
									[control]="organizationForm.controls.address.controls.country">
								</jhi-display-org-error>
							</div>

							<label class="col-sm-2 control-label heading" for="field_postalCode"
								jhiTranslate="pcidssApp.address.postalCode">PostalCode </label>
							<div class="col-md-4">
								<input type="text" id="postalCode" name="postalCode"
									class="form-control" formControlName="postalCode">
								<jhi-display-org-error
									[control]="organizationForm.controls.address.controls.postalCode">
								</jhi-display-org-error>
							</div>
						</div>
					</form>
				</div>
			</div>
			<div class="row-md action-div">
				<jhi-button [class.disabled]="!organizationForm.valid" (click)="saveAndExit()" exit>Save & Exit</jhi-button>
				<jhi-button [class.disabled]="!organizationForm.valid" (click)="saveAndContinue()" continue>Save &
				Continue</jhi-button>
			</div>
			<div class="arrows mt-auto mb-4">
				<i (click)="forward()" *ngIf="infoStatus.statusEnum === 'REVISIT' || infoStatus.statusEnum === 'RESUME'"
					class="fa fa-4x fa-angle-right float-right mr-4"></i>
			</div>
		</div>
</form>
</div>